Subject: Re: bug#23888: 25.1.50; Info calc -- No such node or anchor: Top

From: Udyant Wig <[email-masked]>
Date: Mon, 4 Jul 2016 22:47:14 +0530

On 07/04/2016 08:13 PM, Eli Zaretskii wrote:
>> Cc: [email-masked]
>> From: Udyant Wig <[email-masked]>
>> Date: Mon, 4 Jul 2016 08:55:48 +0530
>>
>>   Full contents from top level Info node:
> 
> Thanks.  Here's the source of your problem:
> 
>> * Calc: (calc).                 Advanced desk calculator and mathematical tool.
> [...]
>> * Calc: (emacs-24/calc).        Advanced desk calculator and mathematical tool.
> 
> The top-level menu has 2 identical items pointing to 2 different
> places.  Emacs complains about one of them, not sure which one.

  Emacs 25 raises an error about the one native to the 25 distribution,
  i.e., the upper one.  However, despite having two entries for other
  nodes as well, I can access either of them.  E.g.

File: erc.info,  Node: Top,  Next: Introduction,  Up: (dir)

ERC
***

This manual is for ERC as distributed with Emacs 25.1.50.

   Copyright © 2005–2016 Free Software Foundation, Inc.

  and

File: erc.info,  Node: Top,  Next: Introduction,  Up: (dir)

ERC
***

This manual is for ERC as distributed with Emacs 24.4.

> Another anomaly is with your value of Info-directory-list you reported
> in your previous message:
> 
>   Info-directory-list
>   => ("/home/udyant/.emacs.d/elpa/auctex-11.89.4"
>       "/home/udyant/.emacs.d/elpa/magit-2.7.0"
>       "/home/udyant/.emacs.d/elpa/magit-popup-2.7.0"
>       "/home/udyant/.emacs.d/elpa/slime-2.18"
>       "/home/udyant/.emacs.d/elpa/with-editor-2.5.1"
>       "/usr/local/share/info/"
>       "/usr/share/info/"
>       "/usr/local/share/info/")
>
> Where does this value come from?

  The first five elements were automatically added through the ELPA and
  stable MELPA repositories on installing AUCTex, Magit, and SLIME.  The
  last entry -- the second /usr/local/ entry -- comes from my having set
  Info-additional-directory-list.

> Do you have INFOPATH set in the environment (and if so, to what
> value)?

  I have not set INFOPATH.
  
> Or do you customize Info-directory-list directly in your init file(s)?
  
  I have indirectly affected Info-directory-list by setting
  Info-additional-directory-list in my init file.  I have not modified
  it directly.

> And where's that emacs-24 subdirectory with the other Calc manual,
> relatively to the directories on your Info-directory-list?

  Emacs 25 is installed in the /usr/local/ hierarchy.  Emacs 24 was
  installed in /usr/ by my OS vendor.

  The two calc manuals are on these paths:

-rw-r--r-- 1 root root 480262 Oct 26  2014 /usr/share/info/emacs-24/calc.info.gz
-rw-r--r-- 1 udyant staff 20 Jul  4 12:45 /usr/local/share/info/calc.info.gz

  Do note the difference in the file sizes.

  For comparison, the ERC manuals, which I mentioned above, are on these
  paths:

-rw-r--r-- 1 root root 17236 Oct 26  2014 /usr/share/info/emacs-24/erc.info.gz
-rw-r--r-- 1 udyant staff 17392 Jul  4 12:45 /usr/local/share/info/erc.info.gz

  The sizes are in better proportion.

  I think something is not right in the process for generating the Calc
  manual (on my system at least.)
  
-- 
Udyant Wig